Subject: Re: directx 5.0-i cant find a file it wants
From: [email-masked] (Eric Britten)

26 Sep 1997 13:26:43 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Derek Greene <[email-masked]>, [email-masked]

Derek Greene wrote:

> where can i get subwtype.h and excpt.h?
>

I have never heard of subwtype.h.  I don't have it in the Platform SDK
and its missing from the Internet Client SDK.  excpt.h is for structured
exception handling.  Since GCC doesn't support it, you can just create a
zero length file called excpt.h in your include directory.  The SDK
headers from my knowledge do not use any of its definitions.

> At 09:48 AM 9/25/97 -0700, you wrote:
> >Derek Greene wrote:
> >
> >> direct x 5.0's direct 3d include's objbase.h, i assume since it
> does
> >> not
> >> come with this file, it is VC++ specific, so could anyone tell me
> the
> >> gnu-win32 equivelant or tell me where i can aquire this file or
> tell
> >> me
> >> if i am asking a stupid question, well youg et the point :)
> >> -
> >
> >objbase.h is an COM(component object model header) header file.  It
> >includes many other files too.  You can get them with the Platform
> >SDK(http://www.microsoft.com/msdn/).  The headers will have to be
> >modified a little in order to compile with GCC.  Things like
> anonymous
> >structs or typedefs with multiple definitions cause warnings and
> errors.
> >
> >Hope this helps.
> >
> >Eric Britten
> >
> >
> >-
> >For help on using this list (especially unsubscribing), send a
> message to
> >"[email-masked]" with one line of text: "help".
> >

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".